<?php

namespace Modules\Review\Interfaces;

use Illuminate\Http\Request;
use Modules\Review\Models\Review;

interface ReviewRepositoryInterface
{
    public function get(Request $request);
    public function getItem(Review $review);
    public function save(Request $request, ?Review $review): Review;
    public function destroy(Request $request, int $id): array;
    public function destroyAll(Request $request): array;
    public function restore(Request $request, int $id): array;
    public function restoreAll(Request $request): array;
}
